# Generated by Django 3.1.1 on 2020-12-08 13:35

import datetime

import wagtail.core.blocks
import wagtail.core.fields
import wagtail.images.blocks
from django.db import migrations, models
from django.utils.timezone import utc


class Migration(migrations.Migration):

    dependencies = [
        ("green_deal", "0001_initial"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="greendealsubpage",
            options={"verbose_name": "Zelená dohoda pro regiony"},
        ),
        migrations.AddField(
            model_name="greendealsubpage",
            name="matomo_id",
            field=models.IntegerField(
                blank=True,
                null=True,
                verbose_name="Matomo ID pro sledování návštěvnosti",
            ),
        ),
        migrations.AddField(
            model_name="greendealsubpage",
            name="top_menu",
            field=wagtail.core.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.core.blocks.StructBlock(
                            [
                                ("name", wagtail.core.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.core.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "green_deal.GreenDealHomePage",
                                            "green_deal.GreenDealSubPage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="horní menu",
            ),
        ),
        migrations.AlterField(
            model_name="greendealhomepage",
            name="content",
            field=wagtail.core.fields.StreamField(
                [
                    (
                        "text_2_columns",
                        wagtail.core.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_1_column",
                        wagtail.core.blocks.StructBlock(
                            [
                                ("header", wagtail.core.blocks.CharBlock()),
                                (
                                    "text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "FAQ_columns",
                        wagtail.core.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "faqs",
                                    wagtail.core.blocks.ListBlock(
                                        wagtail.core.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.core.blocks.TextBlock(),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.core.blocks.RichTextBlock(),
                                                ),
                                            ]
                                        ),
                                        label="faq",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.core.blocks.ListBlock(
                            wagtail.core.blocks.StructBlock(
                                [
                                    ("header", wagtail.core.blocks.CharBlock()),
                                    (
                                        "perex",
                                        wagtail.core.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                            ]
                                        ),
                                    ),
                                    ("img", wagtail.images.blocks.ImageChooserBlock()),
                                    ("link", wagtail.core.blocks.URLBlock()),
                                    (
                                        "date",
                                        wagtail.core.blocks.DateBlock(
                                            default=datetime.datetime(
                                                2020,
                                                12,
                                                8,
                                                13,
                                                35,
                                                3,
                                                209883,
                                                tzinfo=utc,
                                            )
                                        ),
                                    ),
                                ]
                            ),
                            label="aktuality",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="greendealsubpage",
            name="content",
            field=wagtail.core.fields.StreamField(
                [
                    (
                        "text_2_columns",
                        wagtail.core.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "right_text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="pravý sloupec",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "text_1_column",
                        wagtail.core.blocks.StructBlock(
                            [
                                ("header", wagtail.core.blocks.CharBlock()),
                                (
                                    "text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ]
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "FAQ_columns",
                        wagtail.core.blocks.StructBlock(
                            [
                                (
                                    "left_text",
                                    wagtail.core.blocks.RichTextBlock(
                                        features=[
                                            "h2",
                                            "h3",
                                            "h4",
                                            "h5",
                                            "bold",
                                            "italic",
                                            "ol",
                                            "ul",
                                            "hr",
                                            "link",
                                            "document-link",
                                            "image",
                                        ],
                                        label="levý sloupec",
                                    ),
                                ),
                                (
                                    "faqs",
                                    wagtail.core.blocks.ListBlock(
                                        wagtail.core.blocks.StructBlock(
                                            [
                                                (
                                                    "question",
                                                    wagtail.core.blocks.TextBlock(),
                                                ),
                                                (
                                                    "answer",
                                                    wagtail.core.blocks.RichTextBlock(),
                                                ),
                                            ]
                                        ),
                                        label="faq",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "news",
                        wagtail.core.blocks.ListBlock(
                            wagtail.core.blocks.StructBlock(
                                [
                                    ("header", wagtail.core.blocks.CharBlock()),
                                    (
                                        "perex",
                                        wagtail.core.blocks.RichTextBlock(
                                            features=[
                                                "h2",
                                                "h3",
                                                "h4",
                                                "h5",
                                                "bold",
                                                "italic",
                                                "ol",
                                                "ul",
                                                "hr",
                                                "link",
                                                "document-link",
                                                "image",
                                            ]
                                        ),
                                    ),
                                    ("img", wagtail.images.blocks.ImageChooserBlock()),
                                    ("link", wagtail.core.blocks.URLBlock()),
                                    (
                                        "date",
                                        wagtail.core.blocks.DateBlock(
                                            default=datetime.datetime(
                                                2020,
                                                12,
                                                8,
                                                13,
                                                35,
                                                3,
                                                209883,
                                                tzinfo=utc,
                                            )
                                        ),
                                    ),
                                ]
                            ),
                            label="aktuality",
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
